Name: sane-frontends
Version: 1.0.5
Release: 2
Summary: Graphical frontend to SANE
URL:       http://www.mostang.com/sane/
#Source:    ftp://ftp.mostang.com/pub/sane/%{name}-%{version}.tar.bz2
Source:    ftp://ftp.mostang.com/pub/sane/sane-%{version}/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRequires: XFree86-devel gimp-devel libjpeg-devel sane-backends-devel
Requires:  gtk+ >= 0.99.13, gimp >= 1.1.25, sane-backends = %{version}
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: sane
Provides: sane
ExcludeArch: s390 s390x

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/*
%config(noreplace) %{_datadir}/sane-style.rc
%{_mandir}/man1/*


%changelog
* Sun Jul  1 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-1
- 1.0.5.
- Change Copyright: to License:.

* Thu Jun  7 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010605
- CVS snapshot 2001-06-05.
- Don't install xscanimage plug-in symlinks.  The old sane package never
  used to do this, and it looks confusing in gimp if you also have
  xsane-gimp (which is better) installed.  xscanimage works stand-alone
  anyhow.

* Sun Jun  3 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010603.1000
- CVS snapshot 2001-06-03 10:00.

* Sat Jun  2 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010530
- Built for Red Hat Linux.
- CVS snapshot 2001-05-30.

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk

- Summary now capitalised
- BuildRequires: sane (for sane-config)

